Expenses

Get Expense Audit Trail

Lists audit entries for an expense report with actor names, for owner or scoped reviewer.

GEThttps://api.toku.com/hris/get-expense-audit-trail

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-expense-audit-trail?hrisExpenseReportID=%3ChrisExpenseReportID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "auditID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "actorRoleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "actorName": "string",
    "createdAt": "string",
    "action": "CREATED",
    "beforeState": {
      "status": "DRAFT"
    },
    "afterState": {
      "status": "DRAFT"
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

hrisExpenseReportIDstring<uuid>required

Response

200Successful response
auditIDstring<uuid>required
actorRoleInOrgIDstring<uuid>required
actorNamestringrequired
createdAtstringrequired
actionstringrequired

Available options: CREATED, SUBMITTED, CANCELLED

beforeStateobject | nullrequired
Show child attributes
statusstringrequired

Available options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED

afterStateobject | nullrequired
Show child attributes
statusstringrequired

Available options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED

metadatanull | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits